# # Interface: ChartDataCustomTypesPerDataset<TType, TData, TLabel>

## # Type parameters

Name | Type
--- | ---
`TType` | extends `ChartType` = `ChartType`
`TData` | `DefaultDataPoint`<`TType`>
`TLabel` | `unknown`

## # Properties

### # datasets

• datasets: `ChartDatasetCustomTypesPerDataset`<`TType`, `TData`>[]

#### # Defined in

index.esm.d.ts:3693
(opens new window)

### # labels

• `Optional` labels: `TLabel`[]

#### # Defined in

index.esm.d.ts:3692
(opens new window)